PETSc version 3.17.4
Fix/Edit manual page

# PCASMSetSubMatType

Set the type of matrix used for ASM subsolves

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCASMSetSubMatType(PC pc,MatType sub_mat_type)

Collective on Mat

### Input Parameters

| pc | - the PC object
| sub_mat_type | - matrix type

### Options Database Key

| -pc_asm_sub_mat_type <sub_mat_type> | - Sets the matrix type used for subsolves, for example, seqaijviennacl. If you specify a base name like aijviennacl, the corresponding sequential type is assumed.

### Notes

See "${PETSC_DIR}/include/petscmat.h" for available types

### See Also

PCASMGetSubMatType(), PCASM, PCSetType(), VecSetType(), MatType, Mat

### Level

advanced

### Location

src/ksp/pc/impls/asm/asm.c

### Implementations

PCASMSetSubMatType_ASM in src/ksp/pc/impls/asm/asm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages